# EnumPropsT< Direction > Struct Template Reference

Define basic enum properties. More...

`#include <direction_type.h>`

Inheritance diagram for EnumPropsT< Direction >:

## Detailed Description

### template<>
struct EnumPropsT< Direction >

Define basic enum properties.

Definition at line 37 of file direction_type.h.

The documentation for this struct was generated from the following file:

- src/direction_type.h